Groovy 1.7.10

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class ExitCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.ExitCommand

    class ExitCommand
    extends CommandSupport

The 'exit' command.

Authors:
  Jason Dillon

Version:
  \$Id: ExitCommand.groovy 7581 2007-08-23 01:47:47Z user57 \$

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Constructor Summary
`ExitCommand(Shell shell)`

Method Summary
`Object` | `execute(List args)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ExitCommand

    ExitCommand(Shell shell)

Method Detail

### execute

    Object execute(List args)

Copyright © 2003-2010 The Codehaus. All rights reserved.